Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistrySupportedStatus

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistrySupportedStatus

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistrySupportedStatus

extends java.lang.Object
implements EPPCodecComponent

This class holds a `List` of supported status used in `EPPRegistryDomain`, `EPPRegistryHost` and `EPPRegistryContact`, as per RFC 5731, 5732 and 5733, respectively.

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryDomain`, `EPPRegistryHost`, `EPPRegistryContact`, Serialized Form

Nested Class Summary
`class` | `EPPRegistrySupportedStatus.Status` Defines constants for statuses.

Field Summary
`static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistrySupportedStatus` root element.
`static java.lang.String` | `ELM_NAME_STATUS` XML Element Name of `status` attribute.

Constructor Summary
`EPPRegistrySupportedStatus()`

Method Summary
`void` | `addStatus(java.lang.String status)` Add one status to an existing `List`.
`java.lang.Object` | `clone()` Clone `EPPRegistrySupportedStatus`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistrySupportedStatus` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistrySupportedStatus` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistrySupportedStatus` compare.
`java.util.List` | `getStatuses()` Gets the `List` of statuses.
`void` | `setStatuses(java.util.List statuses)` Sets the `List` of statuses.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML Element Name of `EPPRegistrySupportedStatus` root element.

  See Also:
    Constant Field Values

### ELM_NAME_STATUS

    public static final java.lang.String ELM_NAME_STATUS

  XML Element Name of `status` attribute.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistrySupportedStatus

    public EPPRegistrySupportedStatus()

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistrySupportedStatus` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistrySupportedStatus` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPRegistrySupportedStatus` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRegistrySupportedStatus` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistrySupportedStatus` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistrySupportedStatus`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRegistrySupportedStatus`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistrySupportedStatus` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRegistrySupportedStatus` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getStatuses

    public java.util.List getStatuses()

  Gets the `List` of statuses.

  Returns:
    @{code List} of statuses in `String`

### setStatuses

    public void setStatuses(java.util.List statuses)

  Sets the `List` of statuses.

  Parameters:
    `statuses` - `List` of statuses in `String`

### addStatus

    public void addStatus(java.lang.String status)

  Add one status to an existing `List`.

  Parameters:
    `status` - status `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.